
import 'dart:convert';

import 'package:unit2/model/location/country.dart';
import 'package:http/http.dart' as http;
import 'package:unit2/model/location/region.dart';
import 'package:unit2/model/utils/eligibilities_choices.dart';
import 'package:unit2/utils/request.dart';
import 'package:unit2/utils/urls.dart';
class ProfileUtilities {
  static final ProfileUtilities _instance = ProfileUtilities();
  static ProfileUtilities get instance => _instance;

  Future<List<EligibilityList>>getEligibilities()async{
    List<EligibilityList> eligibilities=[];
    String path = Url.instance.eligibilities();
    
    Map<String, String> headers = {
      'Content-Type': 'application/json; charset=UTF-8',
    };
  // try{
 http.Response response = await Request.instance.getRequest(path: path, param: {},headers: headers);
   if(response.statusCode == 200){
    Map data = jsonDecode(response.body);
    if(data['data'] != null){
      data['data'].forEach((var eligibility){
        EligibilityList newEligibilities = EligibilityList.fromJson(eligibility);
        eligibilities.add(newEligibilities);
      });
    }
   }
  // }catch(e){
  //   throw(e.toString());
  // }
  return eligibilities;
  }

}